[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegionFillMode

Represents region fill modes used for polygons in Lazarus regions.

## Declaration

Source position: lazregions.pas line 17

`type TLazRegionFillMode = (`
`rfmOddEven,` |  | Use the alternate fill mode (fills the area between odd-numbered and even-numbered polygon sides on each scan line).
`rfmWinding` |  | Use the winding fill mode (fills any region with a non-zero winding value).
`);`

## Description

Adheres to the nomenclature used in the Windows GDI API.

## See also

TLazRegionPolygon.FillMode |  | Fill mode used for the polygon.
TLazRegion.AddPolygon |  | Adds a polygonal area with the specified vertices to the region.